%define	translation_ver	2014.05.25
%define oname mintmenu

Name:	mate-mint-menu
Version:	5.6.2
Release:	%mkrel 1
License:	GPLv2
Summary: Advanced Mate menu
Group:	Graphical desktop/Mate
URL:	https://launchpad.net/mintmenu
BuildArch:	noarch
Source0:	http://packages.linuxmint.com/pool/main/m/mintmenu/%{oname}_%{version}.tar.xz
Source1:	http://packages.linuxmint.com/pool/main/m/mint-translations/mint-translations_%{translation_ver}.tar.gz
Source3:	software.png
Source4:	applications.list.in
#modified mga patches----------------------------------------
Patch1:	mintmenu-5.6.2-drakxtools.patch
Patch2:	mintmenu-5.6.2-migrate-to-datadir.patch
Patch3:	mintmenu-5.6.2-run_as_superuser.patch
Patch4:	mintmenu-5.6.2-remove_apt_cache.patch
Patch5:	mintmenu-5.6.2-fix_locale_dir.patch
Patch6:	mintmenu-5.6.2-fix_menu_crashing
Patch7:	mintmenu-5.6.2-remove-uninstall.patch
Patch8:	mintmenu-5.6.2-search-engines.patch
Patch9:	mintmenu-5.6.2-about.patch
Patch10:	mintmenu-5.6.2-xdg_paths.patch
#----------------------------------------------------------------
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)

Requires: mate-menu-editor
Requires:	mate-panel
Requires:	python < 3.0
Requires:	python >= 2.4
Requires:	pygtk2.0
Requires:	pygtk2.0-libglade
Requires:	python-pyxdg
Requires:	python-xlib
Requires:	mate-icon-theme
Requires:	mate-control-center
Requires:	python-configobj
Requires:	xdg-utils
Requires:	gksu
Requires:	python-gobject3

%description
An advanced "slab" style menu for Linux. MintMenu supports filtering,
favorites, auto-session, and many other features.

MintMenu can either be added to your mate-panel or
launched in its own window.

%prep
%setup -q -n %{oname} -a 1

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build

%install
rm -rf %buildroot

# Remove applications.list. We have our own
rm -rf %{buildroot}/usr/lib/linuxmint/mintMenu/applications.list

# Remove pre compiled files.
find . -name '*.orig' -exec rm -f {} ';'
find . -name '*.pyc' -exec rm -f {} ';'
find . -name '*.pot' -exec rm -f {} ';'
find . -name '*~' -exec rm -f {} ';'

# Remove translations other than mintmenu
find mint-translations-%{translation_ver}/ -not -name 'mintmenu.mo' -type f -exec rm -f {} ';'


install -d -p %{buildroot}%{_bindir}/
install -m 755 -p usr/bin/mintmenu %{buildroot}%{_bindir}/mintmenu

install -d -p %{buildroot}%{_datadir}/mintMenu
install -m 644 -p usr/lib/linuxmint/mintMenu/*.* %{buildroot}%{_datadir}/mintMenu/
rm -rf %{buildroot}%{_datadir}/mintMenu/*.py
rm -rf %{buildroot}%{_datadir}/mintMenu/*.orig
install -m 755 -p usr/lib/linuxmint/mintMenu/*.py %{buildroot}%{_datadir}/mintMenu/
install -d -p %{buildroot}%{_datadir}/mintMenu/plugins
install -m 644 -p usr/lib/linuxmint/mintMenu/plugins/* %{buildroot}%{_datadir}/mintMenu/plugins/
install -m 755 -p usr/lib/linuxmint/mintMenu/plugins/*.py %{buildroot}%{_datadir}/mintMenu/plugins/
install -d -p %{buildroot}%{_datadir}/mintMenu/search_engines
# Remove software.png provided by upstream
rm -f usr/lib/linuxmint/mintMenu/search_engines/software.png
install -m 644 -p usr/lib/linuxmint/mintMenu/search_engines/* %{buildroot}%{_datadir}/mintMenu/search_engines/
# Add our software.png
install -m 644 -p %{_sourcedir}/software.png %{buildroot}%{_datadir}/mintMenu/search_engines/

# Install our applications.list
install -m 644 -p %{_sourcedir}/applications.list.in %{buildroot}%{_datadir}/mintMenu/applications.list

install -d -p %{buildroot}%{_datadir}/dbus-1/services
install -m 755 -p usr/share/dbus-1/services/* %{buildroot}%{_datadir}/dbus-1/services/

install -d -p %{buildroot}%{_datadir}/glib-2.0/schemas/
install -m 644 -p usr/share/glib-2.0/schemas/* %{buildroot}%{_datadir}/glib-2.0/schemas/

install -d -p %{buildroot}%{_datadir}/mate-panel/applets/
install -m 644 -p usr/share/mate-panel/applets/* %{buildroot}%{_datadir}/mate-panel/applets/

cp -r mint-translations-%{translation_ver}/usr/share/linuxmint/* %{buildroot}%{_datadir}/
chmod -R u+rw,g-w,g+r,o+r,o-w %{buildroot}%{_datadir}/locale/*


%{find_lang} %{oname} --with-gnome --all-name

%files  -f %{oname}.lang
%{_bindir}/mintmenu
%dir %{_datadir}/mintMenu
%{_datadir}/mintMenu/*.*
%{_datadir}/mintMenu/plugins/
%{_datadir}/mintMenu/search_engines/*
%dir %{_datadir}/glib-2.0/schemas/
%{_datadir}/glib-2.0/schemas/*
%dir %{_datadir}/mate-panel/applets/
%{_datadir}/mate-panel/applets/*
%dir %{_datadir}/dbus-1/services/
%{_datadir}/dbus-1/services/*

%changelog
* Sat Apr 11 2015 bb <bb> 5.6.2-1pclos2015
- update for Mate 1.10.0
